## libkf5libkdepim 23.08.0

=== debian/changelog ===
libkf5libkdepim (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:43 +0100

libkf5libkdepim (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:09 +0100

libkf5libkdepim (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:12 +0100

libkf5libkdepim (4:23.04.2-0ubuntu2) mantic; urgency=medium

  * Remove recommends on libkf5libkdepim-plugins, which no longer
    exists.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jun 2023 17:59:03 +0100

libkf5libkdepim (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library package libkf5libkdepim5abi2 -> libkpim5libkdepim5
  * Update installed files
  * Drop enable_debian_abi_manager.diff
  * Remove libkf5libkdepim-plugins package
  * Rename data package: libkf5libkdepim-data -> libkpim5libkdepim-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols file, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:55 +0100

libkf5libkdepim (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:58 +0000

libkf5libkdepim (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:27:58 -0600

libkf5libkdepim (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:21 +0000

libkf5libkdepim (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:46 +0000

libkf5libkdepim (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:12:57 +0000

libkf5libkdepim (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:40:46 +0000

libkf5libkdepim (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:46 +0000
