=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicontact-dev (>= 4:23.08.0~),
               libkf5akonadisearch-dev (>= 4:23.08.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 23.08.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5wallet-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdepim

Package: libkpim5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kaddressbook (<< 4:16.04),
        libkf5libkdepim5 (<< 4:16.04),
        ${kde-l10n:all},
Replaces: libkf5libkdepim-data (<< 4:23.04.1~),
          kaddressbook (<< 4:16.04),
          libkf5libkdepim5 (<< 4:16.04),
          ${kde-l10n:all},
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5completion-dev (>= 5.31.0~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.31.0~),
         libkf5ldap-dev (>= 23.08.0~),
         libkpim5libkdepim5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: libkf5libkdepim-plugins (<< 4:23.04.1~),
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim5libkdepim5
Architecture: any
Multi-Arch: same
Depends: libkpim5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module.
