=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
-               libkf5akonadisearch-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadisearch-dev (>= 4:23.08.4~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5ldap-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -50,11 +50,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
          libkf5completion-dev (>= 5.31.0~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 23.08.1~),
+         libkf5ldap-dev (>= 23.08.4~),
          libkpim5libkdepim5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
